package com.ruoyi.system.service;

import com.ruoyi.system.domain.DailyUser;
import com.ruoyi.system.domain.StUser;
import com.ruoyi.system.domain.SysUserOnlineStats;
import com.ruoyi.system.domain.SysUserOnlineTime;

import java.util.Date;

public interface ISysUserOnlineTimeService {
    public void recordUserLogin(Long userId);
    public int recordUserLogout(Long userId);
    public int updateUserHeartbeat(Long userId, Long duration);
//    DailyUser getUserDailyOnlineTime(Long userId);
//    StUser getUserOnlineStats(Long userId);
    public void calculateUserOnlineStats();


}
